function [F,T] = Echo_time(fileName)
%Parse echo log file 
%   T response time vector
%   F frequency vector of Tr
%
% author:
%   Christos Choutouridis AEM:8997
%   cchoutou@ece.auth.gr

    data = fopen (fileName);
    A = textscan(data,'%s','Delimiter','\n');
    B = A{1,1};
    fclose(data);
    s = size (B);
    T = zeros(s(1)-1, 1);
    for i = 2:s(1)
        C = textscan(B{i,1},'%s','Delimiter',' ');
        D = C{1};
        T(i-1) = str2num(D{8});
    end

    F = histcounts(T, 1:1000);

end

